#! /bin/sh
-echo Running libtoolize...
-libtoolize --automake -c -f
+echo "Running libtoolize..."
+libtoolize -c
+# We use iconv directly rather than via gettext, so
+# we need to manually copy config.rpath.
CONFIG_RPATH=/usr/share/gettext/config.rpath
if ! [ -f $CONFIG_RPATH ]; then
CONFIG_RPATH=/usr/local/share/gettext/config.rpath
if [ -f config.rpath ]; then
CONFIG_RPATH=
else
- echo "config.rpath not found!" >&2
+ echo "config.rpath not found! - is gettext installed?" >&2
exit 1
fi
fi
cp "$CONFIG_RPATH" .
fi
-if test ! -z "`which autoreconf`"; then
- echo Running autoreconf...
- autoreconf -i -f
-else
- echo Running aclocal...
- aclocal
- echo Running autoheader...
- autoheader
- echo Running autoconf...
- autoconf
- echo Running automake...
- automake -a -c
- (
- echo Entering directory: kernel
- cd kernel
- echo Running autoheader...
- autoheader
- echo Running autoconf...
- autoconf
- )
-fi
+echo "Running autoreconf..."
+autoreconf -i
-rm -f config.cache config.status
-echo "To compile run './configure', and then 'make'."